.welcome2025 #block-collarinespromotiondynamicblock,
.welcome2025 .field--name-field-collarines-bloque {
  background-color: #f6f4e6;
}

.welcome2025 #ml2020-dynamic-block-login-container {
  min-height: 37.75rem;
  padding-bottom: 0;
  margin-bottom: 5rem;
}

.welcome2025 #ml2020-dynamic-block-login-container .ml2020__paragraph {
  position: relative;
  width: 100%;
  bottom: -70px;
  display: flex;
  justify-content: center;
  margin-bottom: 1rem;
}

.welcome2025 #ml2020-dynamic-block-login-container .ml2020__paragraph.finished img {
  width: 100%;
}

.welcome2025 #ml2020-dynamic-block-login-container #ml2020-external-link.button.ml2020-paragraph__link {
  background-image: none;
  background-color: #009E58;
  padding: 0.5rem 17px;
  border-radius: 3.5rem;
  color: #fff;
  width: fit-content;
  max-width: none;
  height: auto;
  font-size: 1.5rem;
  position: relative;
  top: 0;
  right: 0;
}

.welcome2025 .block-field-blocknodepromo-collarinesfield-collarines-bloques-extra .field--name-field-promo-coll-image .field__item img {
  width: 100%;
}

.welcome2025 .block-field-blocknodepromo-collarinesfield-collarines-bloques-extra .field--name-field-collarines-bloques-extra.field__items {
  display: flex;
  flex-wrap: wrap;
}

.welcome2025 .block-field-blocknodepromo-collarinesfield-collarines-bloques-extra .field--name-field-collarines-bloques-extra.field__items .field__item {
  width: 100%;
}

.welcome2025 .block-field-blocknodepromo-collarinesfield-collarines-bloques-extra .field--name-field-promo-coll-image .field__item img {
  object-position: top;
}

.welcome2025 .block-field-blocknodepromo-collarinesfield-collarines-bloques-extra .field__item .field--name-field-promo-coll-cta-bloque .field__item:first-child a {
  font-size: 5rem;
  font-family: "TT Trailers Trial ExtraBold", sans-serif;
}

.welcome2025 .block-field-blocknodepromo-collarinesfield-collarines-bloques-extra .field__item:first-child .field--name-field-promo-coll-cta-bloque .field__item:first-child a {
  color: #719ED4;
}

.welcome2025 .block-field-blocknodepromo-collarinesfield-collarines-bloques-extra .field__item:nth-child(2) .field--name-field-promo-coll-cta-bloque .field__item:first-child a {
  color: #E06A9B;
}

.welcome2025 .block-field-blocknodepromo-collarinesfield-collarines-bloques-extra .field__item .field--name-field-promo-coll-cta-bloque {
  bottom: 35px;
  height: fit-content;
}

.welcome2025 .block-field-blocknodepromo-collarinesfield-collarines-bloques-extra .field__item .field--name-field-promo-coll-cta-bloque .field__item a {
  font-size: 5.813rem;
  line-height: 1;
  width: 100%;
  max-width: 28.75rem;
  display: block;
  margin: 0 auto;
}

.node--type-promo_collarines .welcome2025 .field--name-field-collarines-bloques-extra>.field__item:first-child .field--name-field-promo-coll-image .field__item img,
.node--type-promo_collarines .welcome2025 .field--name-field-collarines-bloques-extra>.field__item:nth-child(2) .field--name-field-promo-coll-image .field__item img {
  height: 38rem;
}

.field--name-field-footer-legal-bases-link {
  justify-content: left;
}

.field--name-field-footer-legal-bases-link .field__label {
  display: none;
}

.welcome2025 .block-damm-collarines #ml2020-dynamic-block-login-container.ml2020-paragraph__box #ml2020-external-link.button.ml2020-paragraph__link::before {
  content: url('../images/welcome2025/tickets.svg');
  height: 72px;
  position: absolute;
  bottom: 55px;
  right: calc(50% - 60px);
  z-index: -1;
}

@media (min-width: 769px) {
  .welcome2025 .block-damm-collarines #ml2020-dynamic-block-login-container.ml2020-paragraph__box {
    display: flex;
    flex-direction: column-reverse;
    background-position: center top, -10000px -10000px;
    background-size: contain;
    min-height: 32rem;
    height: auto;
    padding-bottom: 1rem;
    max-width: 850px;
    margin: 0 auto;
  }

  .welcome2025 .block-damm-collarines #ml2020-dynamic-block-login-container.ml2020-paragraph__box .ml2020__paragraph {
    position: relative;
    top: 0.5rem;
    display: flex;
    width: 50%;
    justify-content: space-between;
    left: 50%;
  }

  .welcome2025 #ml2020-dynamic-block-login-container {
    margin-bottom: 0;
  }

  .welcome2025 #ml2020-dynamic-block-login-container #ml2020-external-link.button.ml2020-paragraph__link {
    position: relative;
    /* top: 1rem; */
    right: 0;
    grid-column: 2;
    justify-self: end;
    font-size: 20px;
    line-height: 1.2;
    font-weight: 500;
    margin: 0;
  }

  .welcome2025 .block-field-blocknodepromo-collarinesfield-collarines-bloques-extra .field--name-field-collarines-bloques-extra.field__items {
    flex-wrap: nowrap;
  }

  .welcome2025 .block-field-blocknodepromo-collarinesfield-collarines-bloques-extra .field__item .field--name-field-promo-coll-cta-bloque .field__item:first-child a {
    font-size: 5.8rem;
    line-height: 0.8;
    width: 100%;
    max-width: 50rem;
  }
}

@media (min-width: 1024px) {
  .welcome2025 .block-damm-collarines #ml2020-dynamic-block-login-container.ml2020-paragraph__box {
    max-width: 1340px;
    margin: 0 auto;
    padding: 0 0 3rem 0;
    min-height: 700px;
    height: auto;
    align-items: flex-end;
  }

  .welcome2025 .block-damm-collarines #ml2020-dynamic-block-login-container.ml2020-paragraph__box .ml2020__paragraph {
    position: relative;
    width: 55%;
    margin-bottom: 2rem;
    right: 0;
    left: unset;
    display: flex;
    padding-left: 3rem;
  }

  .welcome2025 .block-damm-collarines #ml2020-dynamic-block-login-container.ml2020-paragraph__box .ml2020__paragraph.finished {
    width: 50%;
    margin-bottom: 2rem;
    padding-left: 0;
  }

  .welcome2025 .block-damm-collarines #ml2020-dynamic-block-login-container.ml2020-paragraph__box #ml2020-external-link.button.ml2020-paragraph__link {
    /* position: initial; */
    bottom: 0;
    right: 0;
    font-size: 24px;
    text-transform: uppercase;
  }

  .welcome2025 .block-field-blocknodepromo-collarinesfield-collarines-bloques-extra .field--name-field-promo-coll-image .field__item img {
    object-position: center;
  }

  .welcome2025 .block-field-blocknodepromo-collarinesfield-collarines-bloques-extra .field__item .field--name-field-promo-coll-cta-bloque .field__item:first-child a {
    width: 100%;
  }

  .node--type-promo_collarines .welcome2025 .field--name-field-collarines-bloques-extra>.field__item:first-child .field--name-field-promo-coll-image .field__item img,
  .node--type-promo_collarines .welcome2025 .field--name-field-collarines-bloques-extra>.field__item:nth-child(2) .field--name-field-promo-coll-image .field__item img {
    height: 100vh;
  }
}

@media (min-width: 1055px) {
  .welcome2025 .block-field-blocknodepromo-collarinesfield-collarines-bloques-extra .field__item .field--name-field-promo-coll-cta-bloque .field__item:first-child a {
    font-size: 8rem;
  }
}

@media (min-width: 1205px) {
  .welcome2025 .block-field-blocknodepromo-collarinesfield-collarines-bloques-extra .field__item .field--name-field-promo-coll-cta-bloque .field__item:first-child a {
    font-size: 9rem;
  }
}

@media (min-width: 1455px) {
  .welcome2025 .block-field-blocknodepromo-collarinesfield-collarines-bloques-extra .field__item .field--name-field-promo-coll-cta-bloque .field__item:first-child a {
    font-size: 11rem;
  }
}

.dynamic-block-buttons {
  display: inline-flex;
  width: 50%;
  gap: 20px;
}

.welcome2025 #ml2020-dynamic-block-login-container a {
  position: initial;
}

.welcome2025 .block-field-blocknodepromo-collarinesfield-collarines-bloques-extra .field--name-field-collarines-bloques-extra.field__items {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-gap: 0;
}

/* BLOQUE BASES LEGALES */
.node--type-promo_collarines .welcome2025 .field--name-field-collarines-bloques-extra>.field__item:nth-child(3) {
  grid-column: 1 / 3;
  padding: 60px 120px;
  background-color: #003B18;
}

/* título */
.field--name-field-collarines-bloques-extra>.field__item:nth-child(3) .field--name-field-promo-coll-titulo {
  margin-bottom: 55px;
  text-align: center;
  font-size: 36px;
  font-family: "Barlow Condensed", sans-serif;
  font-weight: 500;
  text-decoration: underline;
  text-transform: uppercase;
  line-height: 40px;
  word-wrap: break-word;
  color: #f6f4e6;
}

/* body bases legales */
.field--name-field-collarines-bloques-extra>.field__item:nth-child(3) .field--name-field-promo-coll-body {
  font-size: 16px;
  font-family: "Barlow", sans-serif;
  line-height: 20px;
  word-wrap: break-word;
  text-align: justify;
  margin-top: 45px;
  color: #F6F4E6;
}

.field--name-field-collarines-bloques-extra>.field__item:nth-child(3) .field--name-field-promo-coll-body p {
  margin-bottom: 30px;
  font-size: 20px;
  line-height: 22px;
}

.field--name-field-collarines-bloques-extra>.field__item:nth-child(3) .field--name-field-promo-coll-body p span {
  font-family: 'Barlow', sans-serif;
  font-weight: 400;
  font-size: 16px;
  line-height: 20px;
  letter-spacing: -2%;
  text-align: justify;
}

/* Version TABLET */
@media(max-width: 1024px) {
  #ml2020-dynamic-block-container.ml2020-valid__block-container {
    min-height: initial;
    background-size: 0, auto 700px;
    background-position: right bottom, center 120%;
    padding: initial;
    padding-bottom: 600px;
  }

  .ml2020-valid__text {
    width: 55%;
  }

  .ml2020-valid__form-box #ml2020-code-input-form-code {
    margin-left: 0;
  }
  
  .dynamic-block-buttons {
    width: 50%;
    flex-direction: column;
    align-items: center;
    gap: 10px;
  }

  .welcome2025 .block-damm-collarines #ml2020-dynamic-block-login-container.ml2020-paragraph__box #ml2020-external-link.button.ml2020-paragraph__link,
  .node--type-promo_collarines #ml2020-dynamic-block-login-container #ml2020-login-link-action {
    margin-top: 100px;
  }
  
}

/* Version MOBILE */
@media(max-width: 768px) {
  .welcome2025 #ml2020-dynamic-block-login-container {
    margin-bottom: 170px;
    position: relative;
    min-height: 100vh;
  }
  .dynamic-block-buttons {
    width: 100%;
    flex-direction: column;
    align-items: center;
    position: relative;
    bottom: -175px;
    height: 320px;
    display: inline-block;
    top: 100%;
  }

  .welcome2025 #ml2020-dynamic-block-login-container.finished {
    margin-bottom: 5px;
  }

  .welcome2025 #ml2020-dynamic-block-login-container .ml2020__paragraph.finished {
    margin-bottom: 100px;
  }

  .node--type-promo_collarines .welcome2025 .field--name-field-collarines-bloques-extra>.field__item:nth-child(3) {
    padding: 30px;
  }

  #ml2020-dynamic-block-login-container #ml2020-login-link::before,
  #ml2020-dynamic-block-login-container #ml2020-login-link-action::before {
    bottom: 35px;
  }

  .welcome2025 .block-damm-collarines #ml2020-dynamic-block-login-container.ml2020-paragraph__box #ml2020-external-link.button.ml2020-paragraph__link {
    margin-top: initial;
  }

  .node--type-promo_collarines #ml2020-dynamic-block-login-container #ml2020-login-link-action {
    margin-top: 10px;
  }

  .welcome2025 #ml2020-dynamic-block-login-container #ml2020-external-link.button.ml2020-paragraph__link {
    position: relative;
    top: 90px;
    font-size: 25px;
    padding: 8px 15px;
  }

  .welcome2025 .block-damm-collarines #ml2020-dynamic-block-login-container.ml2020-paragraph__box #ml2020-external-link.button.ml2020-paragraph__link::before {
    bottom: 45px;
    right: calc(50% - 60px);
  }

  .field--name-field-collarines-bloques-extra>.field__item:nth-child(3) .field--name-field-promo-coll-titulo {
    margin-bottom: 30px;
    font-size: 26px;
  }

  .field--name-field-collarines-bloques-extra>.field__item:nth-child(3) .field--name-field-promo-coll-body {
    margin-top: 30px;
  }

  .welcome2025 .block-field-blocknodepromo-collarinesfield-collarines-bloques-extra .field--name-field-collarines-bloques-extra.field__items {
    display: flex;
  }

  .ml2020-valid__form-box #ml2020-code-input-form-code {
    margin: auto;
  }

  .ml2020-valid__text {
    width: 87%;
  }
}

#ml2020-modal[data-type='preticket'] #ml2020-modal-title,
#ml2020-modal[data-type='dayselect'] #ml2020-modal-title {
  display: block;
  margin-bottom: 20px;
}

#ml2020-modal[data-type='preticket'] #ml2020-modal-asterisk,
#ml2020-modal[data-type='preticket'] #ml2020-modal-steps,
#ml2020-modal[data-type='dayselect'] #ml2020-modal-steps,
#ml2020-modal[data-type='ticket'] #ml2020-modal-steps {
  display: none !important;
}

.ml2020-modal-select-day > .day-option {
  font-family: 'Barlow Condensed', sans-serif;
}

.ml2020-modal-select-day {
  display: block;
}

.ml2020-modal-select-day > .day-info {
  display: none;
}

#ml2020-modal[data-type='extra-popup'] #ml2020-modal-title {
  margin-bottom: 20px;
}

.ml2020-valid__form-box:disabled,
.ml2020-valid__form-button:disabled {
  opacity: 0.4;
}

#ml2020-external-link.disabled {
  opacity: 0.4;
  pointer-events: none;
}

#ml2020-modal[data-type='dayconfirm'] #ml2020-modal-title {
  display: block;
}

.ml2020-valid__form-container.disabled #ml2020-code-input-form-submit {
  pointer-events: none;
  cursor: default;
  opacity: 0.5;
}

/* Version MOBILE S */
@media(max-width: 375px) {

  .welcome2025 #ml2020-dynamic-block-login-container #ml2020-external-link.button.ml2020-paragraph__link,
  .node--type-promo_collarines #ml2020-dynamic-block-login-container #ml2020-login-link-action {
    font-size: 20px;
  }

  .ml2020-valid__form-title,
  .ml2020-valid__form-box #ml2020-code-input-form-submit,
  .ml2020-valid__form-box #ml2020-code-input-form-code,
  .ml2020-valid__form-box .ml2020-valid__form-message,
  .ml2020-valid__info-box,
  .ml2020-valid__detail-box,
  #ml2020-dynamic-block-participation-2 #ml2020-participation-2-content,
  #ml2020-dynamic-block-participation-2 .ml2020-valid__detail-box {
    min-width: initial;
  }

  .ml2020-valid__info-box,
  .ml2020-valid__detail-box {
    width: 90%;
  }

  .ml2020-valid__detail-box--progress {
    padding-left: 20px;
    padding-right: 20px;
  }
}